Subject: bug#14086: 24.3.50; `substitute-command-keys': inappropriate "(that binding is currently shadowed by another mode)"

From: Drew Adams <[email-masked]>
Date: Sun, 4 Oct 2020 12:13:13 -0700 (PDT)

> > > > seems you treated this in 64d2e5a7a "Make shadowing warning in
> > > > describe_map less confusing".  Contended enough to close this report?
> > >
> > > Yeah I think so; closing.
> >
> > I don't have a way of seeing the change you made.
> > Can you please describe it here or include the
> > patch here?  Usually a patch is included in the
> > bug thread, and it's then directly accessible
> > from the thread on debugs.gnu.org.  A reference
> > like "64d2e5a7a" means nothing to me.
> 
> It doesn't have to mean nothing.  You can point your browser at
> 
> https://urldefense.com/v3/__https://git.savannah.gnu.org/cgit/emacs.git/commi
> t/?id=64d2e5a7a__;!!GqivPVa7Brio!IsQgpRqg8hn3L0tWsgCncaPbIHrmy6RrrNCHsgA-
> PbKAeR3z2EbhlmIutmY38TT0$
> 
> and se the changes.  Note that everything in that URL is fixed, apart
> from the commit ID, which is what Lars mentioned.  So that ID is a
> unique ID of the changeset, and you can always find it as above.

That's good to know.  Thank you.

I suppose I can bookmark that URL, and then, if
I ever need to point my browser to a given commit ID,
I can go there and then edit the "id" value to that ID.

That's hardly something I'd want to have to do, I'm afraid.

In any case, I think the patch, or a good description - not
just a commit ID -belongs in this bug thread explicitly.  
___

Beyond that general consideration:

When I go to the URL you provided I don't recognize anything
that has anything to do with this bug.  I certainly don't
see "Make shadowing warning in describe_map less confusing".

What am I missing?

Perhaps I'm just dense.  In any case, I do think the
description/patch belongs in this bug thread.